#include<bits/stdc++.h>
using namespace std;
int a[1000000];
int main()
{
    int n,x;
    cin >> n >> x;
    for(int i=0;i<n;i++)
    {
        cin >> a[i];
    }
    sort(a,a+n);int zbir;
    zbir = abs(x-a[0]);
    for(int i=0;i<n-1;i++)
    {
        zbir = zbir + a[i+1]-a[i];
    }
    cout << zbir;
}